package ru.yandex.wmconsole.data;

import java.util.LinkedList;
import java.util.List;

import ru.yandex.wmconsole.data.info.TreeNodeInfo;

/**
 * User: senin
 * Date: 08.08.2007
 * Time: 15:14:54
 */
public class Node {
    private final List<Node> children = new LinkedList<Node>();
    private final TreeNodeInfo info;

    public Node(TreeNodeInfo info) {
        this.info = info;
    }

    public TreeNodeInfo getInfo() {
        return info;
    }

    public List<Node> getChildren() {
        return children;
    }
}
